Skip to main content
POST
/
cardholders
Create Cardholder
curl --request POST \
  --url https://api.fyatu.com/api/v2/cardholders \
  --header 'Authorization: Bearer <token>' \
  --header 'Business-ID: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "John",
  "lastName": "Doe",
  "email": "[email protected]",
  "phone": "+12025551234",
  "dateOfBirth": "1990-05-15",
  "gender": "MALE",
  "address": "123 Main Street, Apt 4B",
  "city": "New York",
  "state": "NY",
  "country": "US",
  "documentType": "PASSPORT",
  "documentNumber": "AB1234567",
  "idFrontUrl": "https://storage.example.com/docs/id-front.jpg",
  "idBackUrl": "https://storage.example.com/docs/id-back.jpg",
  "idSelfieUrl": "https://storage.example.com/docs/selfie.jpg"
}
'
{
  "status": "success",
  "statusCode": 200,
  "errors": false,
  "message": "<string>",
  "data": {
    "cardholderId": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "email": "[email protected]",
    "phone": "<string>",
    "dateOfBirth": "2023-12-25",
    "gender": "MALE",
    "address": "<string>",
    "city": "<string>",
    "state": "<string>",
    "country": "<string>",
    "status": "ACTIVE"
  }
}

Authorizations

Business-ID
string
header
required

Your unique business identifier. Find this in your Business Settings.

Authorization
string
header
required

Your API key as a Bearer token. Example: Bearer sk_live_xxxxxxxxxxxxx

Body

application/json
firstName
string
required

Cardholder's first name

Minimum string length: 2
lastName
string
required

Cardholder's last name

Minimum string length: 2
email
string<email>
required

Valid email address

phone
string
required

Phone in E.164 format (e.g., +12025551234)

dateOfBirth
string<date>
required

Date of birth (YYYY-MM-DD)

gender
enum<string>
required
Available options:
MALE,
FEMALE
address
string
required

Street address

Minimum string length: 6
city
string
required
Minimum string length: 2
state
string
required

State or province

Minimum string length: 2
country
string
required

ISO 3166-1 alpha-2 country code

Required string length: 2
documentType
enum<string>
required

Type of identification document

Available options:
PASSPORT,
NATIONAL_ID,
DRIVERS_LICENSE
documentNumber
string
required

ID document number

Minimum string length: 6
idFrontUrl
string<uri>

URL to front of ID document image

idBackUrl
string<uri>

URL to back of ID document image

idSelfieUrl
string<uri>

URL to selfie with ID document

Response

Cardholder created successfully

status
string
Example:

"success"

statusCode
integer
Example:

200

errors
boolean
Example:

false

message
string
data
object